#ifndef _DESCRIPTOR_H
#define _DESCRIPTOR_H

#include <vector>
using namespace std;


class Descriptor
{
  public:
    
        // its location in the image
    float xi;
    float yi;
    
        // its feature vector
    vector<double> fv;
    
        // the trival constructor
    Descriptor(){}
    
    Descriptor(float x, float y, vector<double> const& f)
        : xi(x), yi(y), fv(f){}
    
};


#endif
