#ifndef _KEYPOINT_H
#define _KEYPOINT_H

#include <vector>

using namespace std;


class Keypoint
{
  public:
        // its location in the image, subpixel precision, so use float
    float xi;
    float yi;
    
        // its magnitude and orientation
    vector<double> mag;
    vector<double> orien;
    
        // the scale where it is detected
    unsigned int scale;

    
        // the trival constructor
    Keypoint (){}
    Keypoint(float x, float y):xi(x),yi(y){}
    
    Keypoint(float x, float y, vector<double> const& m, vector<double> const& o, unsigned int s)
        : xi(x), yi(y), mag(m), orien(o), scale(s){}
    
};


#endif
